{
  description = "~tsv's system config";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    devenv.url = "github:cachix/devenv/latest";
  };

  outputs = inputs@{ nixpkgs, home-manager, devenv, ... }: {
    nixosConfigurations = {
      ritchie = nixpkgs.lib.nixosSystem {
        system = "x86_64-linux";

        specialArgs.inputs = inputs;

        modules = [
          ./system/configuration.nix

          home-manager.nixosModules.home-manager {
            home-manager = {
              useGlobalPkgs = true;
              useUserPackages = true;
              users.tsv = import users/tsv/home.nix;
              users.foxsoft = import users/foxsoft/home.nix;
            };
          }
        ];
      };
    };
  };
}
